com.google.web.bindery.requestfactory.server

## Interface RequestFactoryJarExtractor.Loader

All Known Implementing Classes:
  RequestFactoryJarExtractor.ClassLoaderLoader

Enclosing class:
  RequestFactoryJarExtractor

    public static interface RequestFactoryJarExtractor.Loader

Abstracts the mechanism by which class files are loaded.

See Also:
  `RequestFactoryJarExtractor.ClassLoaderLoader`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `exists(java.lang.String resource)` Returns true if the specified resource can be loaded.
`java.io.InputStream` `getResourceAsStream(java.lang.String resource)` Returns an InputStream to access the specified resource, or `null` if no such resource exists.

### Method Detail

#### exists

    boolean exists(java.lang.String resource)

Returns true if the specified resource can be loaded.

Parameters:
  `resource` - a resource name (e.g. `com/example/Foo.class`)

#### getResourceAsStream

    java.io.InputStream getResourceAsStream(java.lang.String resource)

Returns an InputStream to access the specified resource, or `null` if no such resource exists.

Parameters:
  `resource` - a resource name (e.g. `com/example/Foo.class`)